/*BEGIN COPYRIGHT */
/**************************************************************************
*
*   Licensed Materials - Property of IBM
*   5697-FM3 5655-A96
*   (C) Copyright IBM Corp. 1998, 1999
*   US Government Users Restricted Rights - Use, duplication or
*   disclosure restricted by GSA ADP Schedule Contract
*   with IBM Corp.
*
**************************************************************************/
/*END COPYRIGHT */

/* BEGIN DISCLAIMER */
/**********************************************************************
*  DISCLAIMER
*  ----------
*  This material contains programming source code for your consideration.
*  These examples have not been thoroughly tested under all conditions.
*  IBM, therefore, cannot guarantee or imply reliability, serviceability,
*  or function of these programs.
*  ALL PROGRAMS CONTAINED HEREIN ARE PROVIDED TO YOU "AS IS", WITHOUT ANY
*  WARRANTIES (EXPRESS OR IMPLIED) OR SUPPORT WHATSOEVER, INCLUDING BUT
*  NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
*  FOR A PARTICULAR PURPOSE.
**********************************************************************/
/* END DISCLAIMER */

/*------- Provide Compiler dependent includes -----------------------*/

#if defined(__IBMCPP__) && (__IBMCPP__ < 400)       // IBM 3.x Compiler WIN
 #include <fstream.h>                               // fstreams
 #include <bool.h>                                  // boolean definitions
 #include <fmcjstr.hxx>                             // string
 #include <vector.h>                                // vector

#elif defined(__xlC__) && !defined(__IBMCPP__)      // IBM 3.x Compiler AIX
 #include <fstream.h>                               // fstreams
 #include <bool.h>                                  // boolean definitions
 #include <fmcjstr.hxx>                             // string
 #include <vector.h>                                // vector

#elif defined(__HP_aCC)                             // HP ACC
 #include <fstream.h>                               // fstreams
 #include <stdio.h>
 #include <string>                                  // string
 #include <vector>                                  // vector

#elif defined(__SUNPRO_CC) && (__SUNPRO_CC < 0x500) // SUN Workshop Version 4.x
 #include <fstream.h>                               // fstreams>
 #include <iostream.h>                              // streams>
 #include <fmcjstr.hxx>                             // C++ string>
 #include <vector.h>                                // vector>

#elif defined(__MVS__)                              // OS/390 Compiler
 #include <fstream.h>                               // fstreams
 #include <bool.h>                                  // boolean definitions
 #include <fmcjstr.hxx>                             // string
 #include <vector.h>                                // vector

#else
  #if defined(_MSC_VER)                             // MSVC Compiler
   // avoid MSVC warnings like the following:
   // fmcjpgen.inl(306) : warning C4786:
   // 'std::reverse_iterator<std::basic_string<char,...
   // identifier was truncated to '255' characters in the debug information
   #pragma warning(disable: 4786)
  #endif // (_MSC_VER)
 #include <fstream>                                 // SUN Workshop Compiler >=5.x
 #include <iostream>                                // IBM Compiler >= 4.x
 #include <vector>                                  // KAI C++ Compiler
 #include <string>
 using namespace std;
#endif
