/*BEGIN COPYRIGHT */
/**************************************************************************
*
*   Licensed Materials - Property of IBM
*   5697-FM3 5655-A96
*   (C) Copyright IBM Corp. 2004
*   US Government Users Restricted Rights - Use, duplication or
*   disclosure restricted by GSA ADP Schedule Contract
*   with IBM Corp.
*
**************************************************************************/
/*END COPYRIGHT */

/* BEGIN DISCLAIMER */
/**********************************************************************
*  DISCLAIMER
*  ----------
*  This material contains programming source code for your consideration.
*  These examples have not been thoroughly tested under all conditions.
*  IBM, therefore, cannot guarantee or imply reliability, serviceability,
*  or function of these programs.
*  ALL PROGRAMS CONTAINED HEREIN ARE PROVIDED TO YOU "AS IS", WITHOUT ANY
*  WARRANTIES (EXPRESS OR IMPLIED) OR SUPPORT WHATSOEVER, INCLUDING BUT
*  NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
*  FOR A PARTICULAR PURPOSE.
**********************************************************************/
/* END DISCLAIMER */

/**********************************************************************
* IBM WebSphere MQ Workflow API Tutorial - API calls via EJB         
*                                                                    
* This sample program shows how to call Workflow APIs from an        
* Enterprise Java Bean and pass the result to a client program.
* 
* ServiceWrapper class represents a session on the client site.    
* This class provides all properties that are needed to re-establish
* the session by the bean (stateless API).                                       
**********************************************************************/

package com.ibm.workflow.api.smp.EJB.client;

import java.io.Serializable;

/**
 * Represents an execution service object to be passed
 * to the EJB for stateless session re-creation. * 
 */
public class ServiceWrapper implements Serializable {

	private String _userID = "";
	private String _system = "";
	private String _systemGroup = "";
	private String _ID = null;

	/**
	 * Constructor 
	 */
	public ServiceWrapper(
		String user,
		String group,
		String system,
		String sessionID) {

		_userID = user;
		_systemGroup = group;
		_system = system;
		_ID = sessionID;
	}

	/**
	 * System name the user is logged on
	 */
	public String system() {
		return _system;
	}

	/**
	 * System group name the user is logged on
	 */
	public String group() {
		return _systemGroup;
	}

	/**
	 * User ID
	 */
	public String user() {
		return _userID;
	}

	/**
	 * Unique session ID
	 */
	public String id() {
		return _ID;
	}

}