/*BEGIN COPYRIGHT */
/**************************************************************************
*
*   Licensed Materials - Property of IBM
*   5697-FM3 5655-A96
*   (C) Copyright IBM Corp. 2004
*   US Government Users Restricted Rights - Use, duplication or
*   disclosure restricted by GSA ADP Schedule Contract
*   with IBM Corp.
*
**************************************************************************/
/*END COPYRIGHT */

/* BEGIN DISCLAIMER */
/**********************************************************************
*  DISCLAIMER
*  ----------
*  This material contains programming source code for your consideration.
*  These examples have not been thoroughly tested under all conditions.
*  IBM, therefore, cannot guarantee or imply reliability, serviceability,
*  or function of these programs.
*  ALL PROGRAMS CONTAINED HEREIN ARE PROVIDED TO YOU "AS IS", WITHOUT ANY
*  WARRANTIES (EXPRESS OR IMPLIED) OR SUPPORT WHATSOEVER, INCLUDING BUT
*  NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
*  FOR A PARTICULAR PURPOSE.
**********************************************************************/
/* END DISCLAIMER */

/**********************************************************************
* IBM WebSphere MQ Workflow API Tutorial - API calls via EJB         
*                                                                    
* This sample program shows how to call Workflow APIs from an        
* Enterprise Java Bean and pass the result to a client program.      
*                                                                    
* WorkItemWrapper class represents a workitem on the client site.    
* This class should provide all properties of a workitem that the 
* client may be interested in.    
* A required property is its unique oid so that the work item can be        
* identified by the bean.                                        
**********************************************************************/

package com.ibm.workflow.api.smp.EJB.client;

import java.io.Serializable;

/**
 *
 * Represents a work item object on the client site.
 * Contains all properties that the client needs.
 */
public class WorkItemWrapper implements Serializable {

	/**
	 * Constructor for ProcessTemplateWrapper.
	 */
	public WorkItemWrapper(String oid, String name) {
		_oid = oid;
		_name = name;
	}

	public String name() {
		return _name;
	}

	public String oid() {
		return _oid;
	}

	private String _name = "";
	private String _oid = "";
}
