/*BEGIN COPYRIGHT */
/**************************************************************************
*
*   Licensed Materials - Property of IBM
*   5697-FM3 5655-A96
*   (C) Copyright IBM Corp. 2004, 2004
*   US Government Users Restricted Rights - Use, duplication or
*   disclosure restricted by GSA ADP Schedule Contract
*   with IBM Corp.
*
**************************************************************************/
/*END COPYRIGHT */

/* BEGIN DISCLAIMER */
/**********************************************************************
*  DISCLAIMER
*  ----------
*  This material contains programming source code for your consideration.
*  These examples have not been thoroughly tested under all conditions.
*  IBM, therefore, cannot guarantee or imply reliability, serviceability,
*  or function of these programs.
*  ALL PROGRAMS CONTAINED HEREIN ARE PROVIDED TO YOU "AS IS", WITHOUT ANY
*  WARRANTIES (EXPRESS OR IMPLIED) OR SUPPORT WHATSOEVER, INCLUDING BUT
*  NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
*  FOR A PARTICULAR PURPOSE.
**********************************************************************/
/* END DISCLAIMER */

/**********************************************************************/
/* IBM WebSphere MQ Workflow API Tutorial - API calls via EJB         */
/*                                                                    */
/* This sample program shows how to call Workflow APIs from an        */
/* Enterprise Java Bean and pass the result to a client program.      */
/**********************************************************************/

package com.ibm.workflow.api.smp.EJB;
/**
 * Remote interface for Enterprise Bean: WorkflowEJB
 */

import com.ibm.workflow.api.*;
import com.ibm.workflow.api.smp.EJB.client.ServiceWrapper;
import com.ibm.workflow.api.smp.EJB.client.ProcessTemplateWrapper;
import com.ibm.workflow.api.smp.EJB.client.ProcessInstanceWrapper;
import com.ibm.workflow.api.smp.EJB.client.WorkItemWrapper;

public interface WorkflowEJB extends javax.ejb.EJBObject {

	public String logon(
		String userID,
		String password,
		String systemGroup,
		String system)
		throws java.rmi.RemoteException;

	public String logoff(ServiceWrapper service)
		throws java.rmi.RemoteException;

	public ProcessTemplateWrapper[] queryTemplates(
		ServiceWrapper service,
		String filter,
		String sort,
		Integer threshold)
		throws java.rmi.RemoteException;

	public ProcessInstanceWrapper[] queryInstances(
		ServiceWrapper service,
		String filter,
		String sort,
		Integer threshold)
		throws java.rmi.RemoteException;

	public WorkItemWrapper[] queryItems(
		ServiceWrapper service,
		String filter,
		String sort,
		Integer threshold)
		throws java.rmi.RemoteException;
		
	public void createInstance(ServiceWrapper service, String oidPT)
		throws java.rmi.RemoteException;
				
	public void deleteInstance(ServiceWrapper service, String oidPI)
		throws java.rmi.RemoteException;
}
